// index.jsx
.tableActions {
  display: flex;
  text-align: center;

  :global {
    .anticon {
      margin-right: 10px;
      &:last-child {
        margin-right: 0;
      }
    }
  }
}

.divide {
  padding-top: 25px;
  margin-bottom: 25px;
  border-bottom: 1px solid var(--color-white-3);
}

.barcode {
  position: relative;
  overflow: hidden;
  width: 100%;
  height: 25px;

  svg {
    width: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) !important;
  }
}

.title {
  font: var(--font-title);
  margin-bottom: 15px;
}

// BookInformation
.BookInformation {
  .imgContent {
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    margin-bottom: 25px;

    .img {
      position: relative;
      width: 150px;
      height: 150px;
      background-color: var(--color-white-1);
      border-radius: 8px;

      :global {
        .anticon {
          width: 25px;
          height: 25px;
          padding: 5px;
          position: absolute;
          right: -5px;
          bottom: -5px;
          border-radius: 50%;
          background-color: var(--color-white-3);
          border: 1px solid var(--color-black-8);
        }
      }

      &[data-url=''] {
        &::before {
          content: '';
          width: 130px;
          height: 130px;
          position: absolute;
          top: 50%;
          left: 50%;
          transform: translate(-50%, -50%);
          border: 1px dashed var(--color-black-8);
          border-radius: 8px;
        }
        &::after {
          content: 'Empty';
          position: absolute;
          top: 50%;
          left: 50%;
          transform: translate(-50%, -50%);
          font-weight: bold;
          text-align: center;
          color: var(--color-black-8);
        }
      }
      
      &[data-status='available'] {
        
        :global{
          .anticon {
            background-color: var(--color-primary-1);
            color: var(--color-white-0);
          }
        }
      }
    }

    .content {
      width: calc(100% - 170px);

      .main {
        font: var(--font-title);
        margin-bottom: 5px;

        display: -webkit-box;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;  
        overflow: hidden;
      }

      .description {
        font: var(--font-base);
        font-weight: bold;
        font-style: italic;
        color: var(--color-white-5);
        display: -webkit-box;
        -webkit-line-clamp: 3;
        -webkit-box-orient: vertical;  
        overflow: hidden;
      }
    }
  }

  .labelContent {
    display: flex;
    justify-content: space-between;
    font: var(--font-base);
    margin-bottom: 15px;

    .label {
      width: 150px;
      font-weight: bold;
      &::after {
        content: ':';
      }
    }
    .content {
      width: calc(100% - 170px);
    }          
  }
}